
# history options

setopt extendedhistory		# add a timestamp and the duration of each command
setopt sharehistory	 	# _all_ zsh sessions share the same history files
setopt histignorealldups	# ignores duplications

HISTDIR=$DOTZSHDIR/history
[ ! -d $HISTDIR ] && mkdir -p $HISTDIR

HISTFILE=$HISTDIR/history

HISTSIZE=1000000
SAVEHIST=1000000

export HISTFILE HISTSIZE SAVEHIST
unset HISTDIR
