
# OpenBSD stuff

# GNU ls(1) from OpenBSD ports is named gls(1)/gdircolors(1).
if -exe gdircolors ; then
    if [ "$TERM" != "dumb" ]; then
	eval $(gdircolors -b)	
	alias ls="gls -h --color=auto"
	alias l="gls -lh --color=auto"
    else
	alias ls="gls -h"
	alias l="gls -lh"
    fi
# colorls(1) is {Open,Net}BSD port name for FreeBSD ls(1)
elif -exe colorls ; then
    if [ "$TERM" != "dumb" ]; then
	export LSCOLORS="exfxbxdxcxegedabagacad"
	alias ls="colorls -GFh"
	alias l="colorls -lGFh"
    else
	alias ls="colorls -Fh"
	alias l="colorls -lFh"
    fi
else
    alias ls="ls -Fh"
fi

# GNU tar is called gtar 
-exe gtar \
    && alias tar="gtar"

# GNU find is called gfind
-exe gfind \
    && alias find="gfind"